RuleDictionary = [
        { 'id' : '1001' , 'method': 'IsUnique', 'type':'SchemaValidation'},
          { 'id' : '1002' , 'method': 'CheckColumnSequence', 'type':'SchemaValidation'},
          { 'id' : '1003' , 'method': 'CheckMandatoryColumns', 'type':'SchemaValidation'},
          { 'id' : '1004' , 'method': 'IsNull', 'type':'SchemaValidation'},
          { 'id' : '1005' , 'method': 'CheckRowCount', 'type':'SchemaValidation'},
          { 'id' : '1006' , 'method': 'CheckColumnUniqueValues', 'type':'SchemaValidation'},
          { 'id' : '1007' , 'method': 'CheckDuplicateColumn', 'type':'SchemaValidation'},
          { 'id' : '1008' , 'method': 'CheckNumeric', 'type':'SchemaValidation'},
          { 'id' : '1009' , 'method': 'CheckAlphaNumeric', 'type':'SchemaValidation'},
          { 'id' : '1010' , 'method': 'CheckEmailFormat', 'type':'SchemaValidation'},
          { 'id' : '1011' , 'method': 'CheckDate', 'type':'SchemaValidation'},
          { 'id' : '1012' , 'method': 'CheckDateRange', 'type':'SchemaValidation'},
          { 'id' : '1013' , 'method': 'CheckColumnsDateOrder', 'type':'SchemaValidation'},
          { 'id' : '1014' , 'method': 'IsColumnCombinationUnique', 'type':'SchemaValidation'},
          { 'id' : '1016' , 'method': 'CheckInteger', 'type':'SchemaValidation'},
          { 'id' : '1017' , 'method': 'ColumnValueLengthCheck', 'type':'SchemaValidation'},
          { 'id' : '1018' , 'method': 'CheckCharacters', 'type':'SchemaValidation'},
          { 'id' : '1019' , 'method': 'CheckDateFormat', 'type':'SchemaValidation'},
          { 'id' : '1020' , 'method': 'CompareColumns', 'type':'SchemaValidation'},
          { 'id' : '1021' , 'method': 'CheckUpperCase', 'type':'SchemaValidation'},
          { 'id' : '1022' , 'method': 'GroupbyblankCount', 'type':'SchemaValidation'},
          { 'id' : '2001' , 'method': 'CompareFiles', 'type':'MultipleFileValidation'},
          { 'id' : '2002' , 'method': 'CheckReference', 'type':'MultipleFileValidation'}
         ] 

